aboutsummaryrefslogtreecommitdiffstats
path: root/snmptrap/healthcheck.sh
diff options
context:
space:
mode:
authorLadue, David (dl3158) <dl3158@att.com>2018-08-15 18:11:46 -0400
committerLadue, David (dl3158) <dl3158@att.com>2018-08-16 09:23:02 -0400
commit844c50d8b9b473b3daebdfe357ead3f904db9721 (patch)
tree1fe22551a3e1b212ee7f1e6a97826bab8645ad8e /snmptrap/healthcheck.sh
parentcbad421e6448f15179c18db1892c88d18838a916 (diff)
adding snmpV3 support
Change-Id: I6250e30fa1aa2516a16c4906628be8cc904fbc71 Issue-ID: DCAEGEN2-630 Signed-off-by: Ladue, David (dl3158) <dl3158@att.com>
Diffstat (limited to 'snmptrap/healthcheck.sh')
-rwxr-xr-xsnmptrap/healthcheck.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/snmptrap/healthcheck.sh b/snmptrap/healthcheck.sh
index d23c859..371c18a 100755
--- a/snmptrap/healthcheck.sh
+++ b/snmptrap/healthcheck.sh
@@ -21,5 +21,7 @@
# health. A better possible health check is if the distribution client provided a
# health check call.
-exit 0
-
+# run standard status command, exit with results
+/opt/app/snmptrap/bin/snmptrapd.sh status > /dev/null 2>&1
+ret=$?
+exit ${ret}